# sushy.resources.oem package

## Submodules

## sushy.resources.oem.base module

class sushy.resources.oem.base.OEMResourceBase(connector, path='', redfish_version=None, registries=None, reader=None, root=None)

  Bases: `ResourceBase`

  set_parent_resource(parent_resource, vendor_id)

## sushy.resources.oem.common module

sushy.resources.oem.common.get_resource_extension_by_vendor(resource_name, vendor, resource)

  Helper method to get Resource specific OEM extension object for vendor

  Parameters:

    - resource_name – The underscore joined name of the resource e.g. ‘system’ / ‘ethernet_interface’ / ‘update_service’

    - vendor – This is the OEM vendor string which is the vendor-specific extensibility identifier. Examples are: ‘Contoso’, ‘Hpe’. As a matter of fact the lowercase of this string will be the plugin entry point name.

    - resource – The Sushy resource instance

  Returns:

    The object returned by `plugin(*args, **kwds)` of extension.

  Raises:

    OEMExtensionNotFoundError – if no valid resource OEM extension found.

## sushy.resources.oem.fake module

class sushy.resources.oem.fake.ContosoActionsField(*args, **kwargs)

  Bases: `CompositeField`

  reset = <sushy.resources.common.ResetActionField object>

class sushy.resources.oem.fake.FakeOEMSystemExtension(connector, path='', redfish_version=None, registries=None, reader=None, root=None)

  Bases: `OEMResourceBase`

  data_type = <sushy.resources.base.Field object>
  get_reset_system_path()
  name = <sushy.resources.base.Field object>
  production_location = <sushy.resources.oem.fake.ProductionLocationField object>

class sushy.resources.oem.fake.ProductionLocationField(*args, **kwargs)

  Bases: `CompositeField`

  country = <sushy.resources.base.Field object>
  facility_name = <sushy.resources.base.Field object>

sushy.resources.oem.fake.get_extension(*args, **kwargs)

## Module contents

sushy.resources.oem.get_resource_extension_by_vendor(resource_name, vendor, resource)

  Helper method to get Resource specific OEM extension object for vendor

  Parameters:

    - resource_name – The underscore joined name of the resource e.g. ‘system’ / ‘ethernet_interface’ / ‘update_service’

    - vendor – This is the OEM vendor string which is the vendor-specific extensibility identifier. Examples are: ‘Contoso’, ‘Hpe’. As a matter of fact the lowercase of this string will be the plugin entry point name.

    - resource – The Sushy resource instance

  Returns:

    The object returned by `plugin(*args, **kwds)` of extension.

  Raises:

    OEMExtensionNotFoundError – if no valid resource OEM extension found.

this page last updated: 2026-08-20 00:30:00

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.